function mlso_time2file, time0, time1, count=count, $
   chp=chp, mk4=mk4, _extra=_extra


;
;+
;   Name: mlso_time2ile
;
;   Purpose: return mlso mk

topurl='http://mlso.hao.ucar.edu/archive/acos/'

case n_params() of 
   0: begin
         box_message,'You must supply a time or time range'
         return,''
   endcase
   1: begin 
         time1=reltime(time0,/days,/quiet)
      endcase
   else:
endcase

tgrid=timegrid(time0,time1,/ecs,/day,/date_only,/quiet) + '/'

urls=topurl+tgrid      ; required url listings

ulist=''
for i=0,n_elements(urls)-1 do begin 
   delvarx,list
   box_message,'Listing>> ' + urls(i)
   sock_list,urls(i),list
   ss=where(strpos(list,'.fts.gz') ne -1,fcnt)
   if fcnt gt 0 then begin
      fnam=strextract(list(ss),'HREF="','fts.gz')
      list=urls(i)+fnam+'fts.gz'
      ulist=[ulist,list]
   endif
endfor
 
case 1 of 
   keyword_set(mk4): sstring='mk4'
   keyword_set(chp): sstring='chp'
   else: sstring='mk4'
endcase
if data_chk(_extra,/struct) then begin 
   tnams=tag_names(_extra)
   sstring=arr2str([sstring,strlowcase(tnams)],'.')
endif

ss=where(strpos(ulist,'.'+sstring+'.') ne -1, count)
if count eq 0 then begin 
   box_message,['No files/urls within your time range matching ...',sstring]
   return,''
endif

ulist=ulist(ss)
if n_params() eq 1 and $
   (anytim(time1) eq anytim(time1,/date_only)) then begin 
      box_message,'full day implied'  
endif else begin 
   ulist=sel_filetimes(time0,time1,ulist)
endelse


return,ulist
end
